Subject: Perl Meta-FAQ v1.4
From: [email-masked] (Neil Bowers)
Date: 15 Jun 1995 06:45:05 GMT
Newsgroups: comp.lang.perl.announce

Perl Meta-FAQ
                  Version 1.4 - December 28 1994
                       [email-masked]

The meta-FAQ is available as:

   html       - http://www.khoros.unm.edu/staff/neilb/perl/metaFAQ/metaFAQ.html
   postscript - ftp://ftp.khoros.unm.edu/pub/perl/metaFAQ.ps
   ascii      - ftp://ftp.khoros.unm.edu/pub/perl/metaFAQ.txt

-------------------------------------------------------------------
1. Where can I get the Perl FAQ?

     North America:
         [] ftp://ftp.cis.ufl.edu/pub/perl/doc/FAQ
         [] ftp://ftp.khoros.unm.edu/pub/perl/faq.gz
         [] ftp://ftp.uu.net/usenet/news.answers/perl-faq/
         [] ftp://rtfm.mit.edu/pub/usenet/news.answers/perl-faq/

     Europe:
         [] ftp://ftp.cs.ruu.nl/pub/NEWS.ANSWERS/perl-faq/
         [] ftp://ftp.funet.fi/pub/languages/perl/doc/faq
         [] ftp://src.doc.ic.ac.uk/packages/perl/FAQ

-------------------------------------------------------------------
2. Books About Perl

     Learning Perl
              by Randal L. Schwartz aka "The Llama Book" (engraving
              of  a  llama  on  cover)  published  by  O'Reilly   &
              Associates    ISBN    1-56592-042-2    Tutorial-style
              introduction to Perl.

     Programming Perl
              by Larry Wall and Randal L. Schwartz aka  "The  Camel
              Book"  (engraving  of  a camel on cover) published by
              O'Reilly & Associates  ISBN  0-937175-61-1  Tutorial,
              reference, cookbook, examples, ...

     Perl by Example
              by  Ellie  Quigley; published by Prentice Hall.  ISBN
              0-13-122839-0  A  perl  tutorial:  every  feature  is
              presented   via  an  annotated  example,  and  sample
              output.  Includes  a  reference  section  ---  fairly
              similar to the quickref, below.

     Teach Yourself Perl in 21 Days
              by    David    Till;   published   by   SAMS.    ISBN
              0-672-30586-0.   Price:  $29.99.   34   pages   front
              matter, and 841 pages text (includes index).

     Perl Quick Reference Guide
              by  Johan  Vromans.   This  is bundled with the camel
              book, and available in postscript:

              [] ftp://ftp.uu.net/languages/perl/perlref-4.036.1.tar.gz
              [] ftp://ftp.cs.ruu.nl/pub/DOC/perlref-4.036.1.tar.gz
              [] ftp://ftp.khoros.unm.edu/pub/perl/perlref-4.036.1.tar.gz

-------------------------------------------------------------------
3. Where can I get Perl 4.036?

     [] ftp://ftp.uu.net/languages/perl/perl.tar.gz
     [] ftp://ftp.cis.ufl.edu/pub/perl/src/4.0
     [] ftp://ftp.khoros.unm.edu/pub/perl/perl-4.0.36.tar.gz
     [] ftp://ftp.cs.ruu.nl/pub/PERL/perl.4.0.36.tar.gz
     [] ftp://ftp.demon.co.uk/pub/perl/perl-4.036.tar.gz
     [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/unix/perl-4.036.tar.Z
     [] ftp://src.doc.ic.ac.uk/packages/perl/perl-4.036.tar.gz
     [] ftp://ftp.inf.utfsm.cl/pub/gnu/perl-4.036.tar.gz

     For other methods, see questions 1.8 through 1.11 in the  real FAQ.

-------------------------------------------------------------------
4. Perl 4.036 for MS-DOS, Mac, Windows-NT, VMS, Amiga, OS/2, Atari,
   LynxOS, MVS, MPE, Xenix, Netware

     MS-DOS:
         [] ftp://ftp.ee.umanitoba.ca/pub/msdos/perl
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/msdos
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/msdos
         [] ftp://src.doc.ic.ac.uk/packages/ibmpc/simtel/perl/

     Mac:
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/macperl
         [] ftp://ftp.eunet.ch/software/mac/perl
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/mac
         [] ftp://src.doc.ic.ac.uk/packages/mac/umich/development/languages/macperl4.13.sit.hqx.gz
         [] America OnLine  -  Mac Development Forum (keyword: mdv)

     NT:
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/ntperl
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/nt

     VMS:
         [] ftp://info.rz.uni-ulm.de/pub/VMS/misc/perl4.*
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/vms
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/vms

     Amiga (4.035):
         [] ftp://ftp.wustl.edu/pub/aminet/dev/lang/
         [] ftp://ftp.uni-erlangen.de/pub/aminet/dev/lang/
         [] ftp://ftp.doc.ic.ac.uk/pub/aminet/dev/lang/
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/amiga

     OS/2:
         [] part of the standard perl distribution, in directory $PERLSRC/os2
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/os2

     Atari:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/atari

     LynxOS:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/lynx

     MVS:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/mvs

     MPE:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/mpe

     Xenix:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/xenix

     Netware:
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl4/netware

-------------------------------------------------------------------
5. Where can I get Perl 5?

     The Perl 5.000 release notes can be found at:
          [] ftp://ftp.khoros.unm.edu/pub/perl/doc/Perlv5.0-Release-Note.gz
          [] ftp://perl.com/pub/perl/doc/Perlv5.0-Release-Note.gz

     The  Perl  5.000  distribution is available from the following
     archives:

     North America
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/5.0/perl5.000.tar.gz
         [] ftp://prep.ai.mit.edu/pub/gnu/perl5.000.tar.gz
         [] ftp://ftp.uu.net/languages/perl/perl5.000.tar.gz
         [] ftp://ftp.khoros.unm.edu/pub/perl/perl5.000.tar.gz
         [] ftp://ftp.cbi.tamucc.edu/pub/duff/Perl/perl5.000.tar.gz
         [] ftp://ftp.metronet.com/perlinfo/source/perl5.000.tar.gz
         [] ftp://genetics.upenn.edu/perl5/perl5 000.zip

     Europe
         [] ftp://ftp.cs.ruu.nl/pub/PERL/perl5.0/perl5.000.tar.gz
         [] ftp://ftp.funet.fi/pub/languages/perl/ports/perl5/perl5.000.tar.gz
         [] ftp://ftp.zrz.tu-berlin.de/pub/unix/perl/perl5.000.tar.gz
         [] ftp://src.doc.ic.ac.uk/packages/perl5/perl5.000.tar.gz
         [] http://src.doc.ic.ac.uk/packages/perl5/perl5.000.tar.gz
         [] gopher://src.doc.ic.ac.uk/0/packages/perl5/perl5.000.tar.gz

     Australia
         [] ftp://sungear.mame.mu.oz.au/pub/perl/src/5.0/perl5.000.tar.gz

     South America
         [] ftp://ftp.inf.utfsm.cl/pub/gnu/perl5.000.tar.gz

     MS-DOS
         Darryl Okahata's port of Perl5 to MSDOS, currently a BETA release:

         [] ftp://ftp.einet.net:/pub/perl5/
         [] ftp://ftp.khoros.unm.edu/pub/perl/msdos/
         [] ftp://ftp.ee.umanitoba.ca/pub/msdos/perl/perl5/

     The  Perl5  documentation  is   part   of   the   Perl   5.000
     distribution,  but  is  also  available  separately  from  the
     following sites:

     North America
         [] ftp://ftp.cis.ufl.edu/pub/perl/doc/PerlDoc.ps.gz
         [] http://www.metronet.com/0/perlinfo/perl5/manual/perl.html
         [] ftp://ftp.uu.net/languages/perl/PerlDoc.ps.gz
         [] ftp://ftp.khoros.unm.edu/pub/perl/PerlDoc.ps.gz
         [] ftp://prep.ai.mit.edu/pub/gnu/PerlDoc.ps.gz
         [] ftp://ftp.cbi.tamucc.edu/pub/duff/Perl/PerlDoc.ps.gz
         [] ftp://www.metronet.com/pub/perl/perl5/manual/PerlDoc.ps.gz

     Europe
         [] ftp://ftp.zrz.tu-berlin.de/pub/unix/perl/PerlDoc.ps.gz
         [] ftp://ftp.cs.ruu.nl/pub/PERL/perl5.0/PerlDoc.ps.gz

     South America
         [] ftp://ftp.inf.utfsm.cl/pub/gnu/perl5.000-doc.ps.gz

     Australia
         [] ftp://sungear.mame.mu.oz.au/pub/perl/doc/PerlDoc.ps.gz

-------------------------------------------------------------------
6. Where can I get <foo>perl?

     A list of Perl 5 extensions can be found at:
          [] http://www.khoros.unm.edu/staff/neilb/perl/extensions.html

     curseperl - curses support
         part of the perl 4.036 distribution, see $PERL/usub/README

     tkperl - TK gui toolkit (perl5)
         [] ftp://black.ox.ac.uk/src/ALPHA
         [] ftp://ftp.cis.ufl.edu/pub/perl/src/tkperl

     Database Perls
         ftp.demon.co.uk  [158.152.1.69]   is   the   official
         repository  for  database  <foo>perls  listed  below,
         which can be found in /pub/perl/db/perl4/ Mirrored at
         ftp.cis.ufl.edu           [198.17.47.33]           in
         /pub/perl/scripts/db/

              [] btreeperl - NDBM extensions
              [] ctreeperl - C-Tree extensions
              [] duaperl - X.500 Directory User Agent
              [] ingperl - INGRES
              [] isqlperl - INFORMIX
              [] interperl - INTERBASE
              [] oraperl - Oracle 6 & 7
              [] pgperl - POSTGRES
              [] sybperl - SYBASE 4
              [] uniperl - UNIFY 5.0

-------------------------------------------------------------------
7. Perl on the World Wide Web (WWW)

     Perl All-Sorts
         [] http://www.khoros.unm.edu/staff/neilb/perl/
         [] http://www.metronet.com/1h/perlinfo
         [] http://www.cis.ufl.edu/perl
         [] http://web.nexor.co.uk/perl/perl.html
         [] http://www.eecs.nwu.edu/perl/perl.html
         [] http://www.oac.uci.edu/indiv/ehood/perlWWW/

     Perl Man Page
         [] http://www.cs.cmu.edu:8001/htbin/perl-man
         [] http://web.nexor.co.uk/perlman

     Perl Meta-FAQ
         [] http://www.khoros.unm.edu/staff/neilb/perl/metaFAQ
         [] http://www.cse.unsw.edu.au/perl/metaFAQ.html
         [] http://web.nexor.co.uk/perl/Meta-FAQ.txt